# set this to 1 if you want to build semistatic rpm
# note that this option is useless for now, since wxgtk
# package does not contain any static library
%define        semistatic      0
%{?_with_semistatic: %{expand: %%global semistatic 1}}

%define		version 1.2.5
%define 	release 1mdk
%define		summary	Gettext translation file editor in wxGTK interface

Summary:	%summary
Name:		poedit
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Editors
URL:		http://poedit.sourceforge.net
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot

Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2

Requires:	gettext
BuildRequires:	wxGTK-devel >= 2.4.0-2mdk
BuildRequires:	db4-devel
BuildRequires:	zip
# (Abel) 1.2.2-2mdk for detection of GNOME only, not very useful
BuildRequires:	gnome-libs-devel

# (Abel) 1.2.3-1mdk does not exist yet
%if %{semistatic}
BuildRequires:	wxGTK-static-devel
%endif

%description
poEdit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

Build Options:
--with semistatic    Link statically with wxGTK and libdb

%if %{semistatic}
%package	-n semistatic
Summary:	%summary
Group:		Editors
Provides:	poedit

%description	-n semstatic
poEdit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.
%endif


%prep
%setup -q

%build
export KDEDIR=%{_prefix}

%configure2_5x %{?_with_semistatic:"--enable-semistatic"}
%make

%install
rm -rf %{buildroot}
%makeinstall_std GNOME_DATA_DIR=%{buildroot}%{_datadir} \
		 KDE_DATA_DIR=%{buildroot}%{_datadir}

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
	command="%{_bindir}/poedit" \
	needs="X11" \
	section="Applications/Editors" \
	icon="poedit.png" \
	mimetypes="application/x-po;application/x-gettext" \
	title="Poedit" \
	longtitle="%summary"
EOF

# remove files not bundled
rm -f %{buildroot}/%{_iconsdir}/poedit.xpm

# (Abel) 1.2.3-1mdk Fix(?) locale file paths
pushd %{buildroot}%{_datadir}/locale
mv sv_SE sv
mv pt_PT pt
mv af_ZA af
mv fa_IR fa
popd

%if %{semistatic}
%find_lang %{name}-wxstd %{name}.lang
%else
%find_lang %{name}
%endif

%if %{semistatic}

%post semstatic
%update_menus
%postun semstatic
%clean_menus

%else

%post
%update_menus
%postun
%clean_menus

%endif

%clean
rm -rf %{buildroot}

%if %{semistatic}
%files semistatic -f %{name}.lang
%else
%files -f %{name}.lang
%endif
%defattr(-,root,root)
%doc NEWS LICENSE README AUTHORS docs/technote.txt

%dir %{_datadir}/poedit
%{_datadir}/poedit/resources.zip
%{_datadir}/poedit/help.zip
%{_datadir}/poedit/help-gettext.zip
%lang(hr) %{_datadir}/poedit/help-hr.zip
%{_bindir}/poedit
%{_mandir}/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/applnk/Development/*
%{_datadir}/gnome/apps/Development/*
%{_datadir}/mime-info/poedit.*
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/poedit.png
%{_miconsdir}/poedit.png
%{_liconsdir}/poedit.png

%changelog
* Thu Feb 05 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.5-1mdk
- 1.2.5

* Wed Dec 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-2mdk
- fix wrong buildrequires

* Wed Dec 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 1.2.3-1mdk
- 1.2.3
- Drop patch 0/1 (better fix upstream)
- Restructure the semstatic building part so that source RPM will
  never be renamed (though useless for now)

* Fri Sep 12 2003 Abel Cheung <deaddog@deaddog.org> 1.2.2-2mdk
- Rebuild with db 4.1
- Patch0: Fix DB detection order, prefer libdb-*.* to libdb
- Patch1: Fix argument of open() in db4.1, which is different from 4.0
- No need to bundle icon, already upstream

* Fri May 9 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.2-1mdk
- new version
- removed patch, merged with upstream

* Thu Feb 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.1-2mdk
- add patch to faster working with too biiig msg strings (espec. DrakX.po),
  thanks for patch to Vaclav Slavik

* Wed Feb 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.1-1mdk
- new version of poedit
	- added more translations:
		* Georgian (Aiet Kolkhi)
		* Romanian (Ovidiu Constantin)
		* Catalan (Pau Bosch i Crespo) 
	- reworked Traditional Chinese translation (Myths)
	- fixed bug when empty error text was shown if msgfmt reported error
	- moved "Shaded translations list" from preferences into the View menu

* Thu Feb 13 2003 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- rebuild with wxGTK2.4

* Thu Feb 13 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.0-1mdk
- initial Mandrake import, based on spec file from Vaclav Slavik
- more macroszification, misc changes and clean up
- create poedit-icons source with all needed resolutions, xpm -> png
- make rpmlint happy
